import { I18n } from '@bce-technology/i18n';
import { EventEmitter } from '../../stencil-public-runtime';
import { BlockLanguages } from '../../models/block-languages';
import { BlockElement } from '../../models/element';
import { ElementAction } from '../../models/element-action';
import { ElementQuestion } from '../../models/element-question';
export declare class ElementEditor {
    #private;
    private el;
    elementAction: ElementAction[];
    elementQuestion: ElementQuestion[];
    language?: string;
    languages: BlockLanguages;
    name: string;
    t: I18n.Translator;
    value: BlockElement;
    onDelete: EventEmitter;
    onDuplicate: EventEmitter;
    private _tick;
    handleAction: (action: ElementAction, event: Event) => Promise<void>;
    watchLanguage(): void;
    create(path: string, el: any): Promise<void>;
    reattachMenu(): Promise<void>;
    componentWillLoad(): void;
    renderAction(action: ElementAction): any;
    renderQuestion(question: ElementQuestion): any;
    render(): any;
}
